NodeAttributePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: NodeAttributePBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class NodeAttributePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.NodeAttribute
org.apache.hadoop.yarn.api.records.impl.pb.NodeAttributePBImpl

@Private @Unstable public class NodeAttributePBImpl extends org.apache.hadoop.yarn.api.records.NodeAttribute
Implementation for NodeAttribute.

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.api.records.NodeAttribute

  `PREFIX_CENTRALIZED, PREFIX_DISTRIBUTED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeAttributePBImpl()`
  `NodeAttributePBImpl(org.apache.hadoop.yarn.proto.YarnProtos.NodeAttributeProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `org.apache.hadoop.yarn.api.records.NodeAttributeKey`
  `getAttributeKey()`
  `org.apache.hadoop.yarn.api.records.NodeAttributeType`
  `getAttributeType()`
  `String`
  `getAttributeValue()`
  `org.apache.hadoop.yarn.proto.YarnProtos.NodeAttributeProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setAttributeKey(org.apache.hadoop.yarn.api.records.NodeAttributeKey attributeKey)`
  `void`
  `setAttributeType(org.apache.hadoop.yarn.api.records.NodeAttributeType attributeType)`
  `void`
  `setAttributeValue(String attributeValue)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.NodeAttribute

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NodeAttributePBImpl

    public NodeAttributePBImpl()

  - ### NodeAttributePBImpl

    public NodeAttributePBImpl(org.apache.hadoop.yarn.proto.YarnProtos.NodeAttributeProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.NodeAttributeProto getProto()

  - ### getAttributeKey

    public org.apache.hadoop.yarn.api.records.NodeAttributeKey getAttributeKey()
    Specified by:
      `getAttributeKey` in class `org.apache.hadoop.yarn.api.records.NodeAttribute`

  - ### setAttributeKey

    public void setAttributeKey(org.apache.hadoop.yarn.api.records.NodeAttributeKey attributeKey)
    Specified by:
      `setAttributeKey` in class `org.apache.hadoop.yarn.api.records.NodeAttribute`

  - ### getAttributeValue

    public String getAttributeValue()
    Specified by:
      `getAttributeValue` in class `org.apache.hadoop.yarn.api.records.NodeAttribute`

  - ### setAttributeValue

    public void setAttributeValue(String attributeValue)
    Specified by:
      `setAttributeValue` in class `org.apache.hadoop.yarn.api.records.NodeAttribute`

  - ### getAttributeType

    public org.apache.hadoop.yarn.api.records.NodeAttributeType getAttributeType()
    Specified by:
      `getAttributeType` in class `org.apache.hadoop.yarn.api.records.NodeAttribute`

  - ### setAttributeType

    public void setAttributeType(org.apache.hadoop.yarn.api.records.NodeAttributeType attributeType)
    Specified by:
      `setAttributeType` in class `org.apache.hadoop.yarn.api.records.NodeAttribute`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`